WP Plugin Upgrades fail

apps

#1

I get this error on all of my various blogs on dreamhost when trying to upgrade any WP plugins:

[font=Courier]Downloading update from http://downloads.wordpress.org/plugin/akismet.2.5.2.zip…

Unpacking the update…

Could not create directory. /home/xyz/xyz.com/wp-content/upgrade/akismet.tmp/akismet[/font]

Any idea how to resolve this?

I’ve tried marking the entire chain of directories as 777 - that doesn’t help.


#2

Do you actually have an “upgrade” directory under wp-content? That needs to exist. If you do have /upgrade, then create akismet.tmp as well and see what happens.

755 should be sufficient (and safe), or even go so far as 775, but 777 should not be used.


#3

Yes… I’ve tried creating that directory path manually - that succeeds.

Yet the WP plugin upgrading system always fails.

How puzzling.